Skip to main content
POST
/
api
/
v1
/
monitors
/
{id}
/
run-now
Run monitor now
curl --request POST \
  --url https://developer.thehog.ai/api/v1/monitors/{id}/run-now \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "force_fresh": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "config": {},
  "cadence_minutes": 123,
  "last_run_at": "<string>",
  "next_run_at": "<string>",
  "consecutive_failures": 123,
  "created_at": "<string>",
  "updated_at": "<string>"
}

POST /api/v1/monitors/:id/run-now

Trigger an immediate run of a monitor.
Trigger an immediate execution outside the regular cadence.

Example

curl -X POST https://developer.thehog.ai/api/v1/monitors/mon_01HZXYZ/run-now \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Path Parameters

id
string
required

Monitor ID.

Body

application/json
force_fresh
boolean

Force a fresh scrape for this run, bypassing cache

Response

Monitor run accepted.

id
string
required
name
string
required
type
enum<string>
required
Available options:
linkedin_keyword,
linkedin_profile,
linkedin_company,
linkedin_post,
instagram_profile,
instagram_post,
x_profile,
x_keyword,
reddit_keyword,
reddit_subreddit,
tiktok_keyword,
tiktok_hashtag,
web_search,
site_search
status
enum<string>
required
Available options:
active,
paused,
disabled
config
object
required
cadence_minutes
number
required
last_run_at
string | null
required
next_run_at
string | null
required
consecutive_failures
number
required
created_at
string
required
updated_at
string
required